package com.zipcodewilmington.bankaccountlab;

import org.junit.Test;
import static org.junit.Assert.*;

/**
 * Created by leon on 1/10/18.
 */
public class BankAccountTest {

    BankAccount testBankAccount1 = new CheckingAccount("001", 200.0);
    BankAccount testBankAccount2 = new SavingsAccount("002", 1000.0);
    BankAccount testBankAccount3 = new BusinessAccount("010", 2000.0);

    @Test
    public void getAccountNumberTest() {
        String actual = testBankAccount1.getAccountNumber();
        String expected = "001";
        assertEquals(expected, actual);
    }

    @Test
    public void setAccountNumberTest() {
        String expected = "333";
        testBankAccount2.setAccountNumber(expected);
        String actual = testBankAccount2.getAccountNumber();
        assertEquals(expected,actual);
    }

    @Test
    public void getBalanceTest(){
        Double actual = testBankAccount3.getBalance();
        Double expected = 2000.0;
        assertEquals(expected, actual);
    }

    @Test
    public void withdrawTest(){
        testBankAccount1.withdraw(100.0);
        Double actual = testBankAccount1.getBalance();
        Double expected = 100.0;
        assertEquals(expected,actual);
    }

    @Test
    public void depositTest(){
        testBankAccount2.deposit(200.0);
        Double actual = testBankAccount2.getBalance();
        Double expected = 1200.0;
        assertEquals(expected,actual);
    }
}
